diff -c -N -r irc2.8.21+CSr12/common/parse.c irc2.8.21+CSr13/common/parse.c
*** irc2.8.21+CSr12/common/parse.c	Sat Sep 23 22:42:54 1995
--- irc2.8.21+CSr13/common/parse.c	Thu Sep 28 18:52:30 1995
***************
*** 561,568 ****
  	 */
  	if (!IsServer(cptr))
  		return;
- 	sendto_ops("Unknown sender %s came from %s", sender,
- 		get_client_name(cptr, TRUE));
  	/*
  	 * Do kill if it came from a server because it means there is a ghost
  	 * user on the other server which needs to be removed. -avalon
--- 561,566 ----
***************
*** 572,578 ****
--- 570,580 ----
  			   me.name, sender, me.name, sender,
  			   get_client_name(cptr, FALSE));
  	else
+ 	{
+ 		sendto_ops("Unknown sender %s came from %s", sender,
+ 			get_client_name(cptr, TRUE));
  		sendto_one(cptr, ":%s SQUIT %s :(Unknown from %s)",
  			   me.name, sender, get_client_name(cptr, FALSE));
+ 	}
  }
  #endif
diff -c -N -r irc2.8.21+CSr12/common/send.c irc2.8.21+CSr13/common/send.c
*** irc2.8.21+CSr12/common/send.c	Sun Sep 24 15:01:28 1995
--- irc2.8.21+CSr13/common/send.c	Thu Sep 28 17:28:08 1995
***************
*** 1050,1055 ****
--- 1050,1056 ----
  #endif
  }
  
+ #ifdef DOG3
  void sendto_fdlist(listp,formp,p1,p2,p3,p4,p5,p6,p7,p8,p9)
  fdlist  *listp;
  char    *formp;
***************
*** 1061,1063 ****
--- 1062,1065 ----
  	for(fd=listp->entry[j=1]; j<= listp->last_entry ; fd=listp->entry[++j])
  		send_message(local[fd],sendbuf,len);
  } 
+ #endif
diff -c -N -r irc2.8.21+CSr12/include/comstud.h irc2.8.21+CSr13/include/comstud.h
*** irc2.8.21+CSr12/include/comstud.h	Sat Sep 23 22:50:55 1995
--- irc2.8.21+CSr13/include/comstud.h	Sat Sep 30 18:42:43 1995
***************
*** 18,24 ****
                        performance dealing with dbufs...
  */
  
! #define DBUF_TAIL
  
  /* DBUF_INIT        - define this if you want to pre-allocate
                        4 megs of dbufs...this should help in
--- 18,24 ----
                        performance dealing with dbufs...
  */
  
! #undef DBUF_TAIL
  
  /* DBUF_INIT        - define this if you want to pre-allocate
                        4 megs of dbufs...this should help in
***************
*** 178,184 ****
                         want them logged
  */
  
! #define FNAME_FAILED_OPER "/home/irc/irc2.8.21+CSr12/lib/logs/failed.log"
  
  /* CLIENT_NOTICES - define this if you wish to see client connecting
                      and exiting notices via /umode +c
--- 178,184 ----
                         want them logged
  */
  
! #define FNAME_FAILED_OPER "/home/irc/irc2.8.21+CSr13/lib/logs/failed.log"
  
  /* CLIENT_NOTICES - define this if you wish to see client connecting
                      and exiting notices via /umode +c
***************
*** 262,268 ****
                      and you wish to log clones
  */
  
! #define FNAME_CLONELOG "/home/irc/irc2.8.21+CSr12/logs/clones.log"
  
  /* DEFAULT_IDLELIMIT  - if you have CHECK_IDLE defined above,
                          this value is the default # a client
--- 262,268 ----
                      and you wish to log clones
  */
  
! #define FNAME_CLONELOG "/home/irc/irc2.8.21+CSr13/logs/clones.log"
  
  /* DEFAULT_IDLELIMIT  - if you have CHECK_IDLE defined above,
                          this value is the default # a client
diff -c -N -r irc2.8.21+CSr12/include/config.h irc2.8.21+CSr13/include/config.h
*** irc2.8.21+CSr12/include/config.h	Sat Sep 23 22:52:42 1995
--- irc2.8.21+CSr13/include/config.h	Thu Sep 28 17:24:29 1995
***************
*** 107,114 ****
   * these are only the recommened names and paths. Change as needed.
   * You must define these to something, even if you don't really want them.
   */
! #define	DPATH	"/home/irc/irc2.8.21+CSr12/lib"	/* dir where all ircd stuff is */
! #define	SPATH	"/home/irc/irc2.8.21+CSr12/lib/ircd"
  #define	CPATH	"ircd.conf"	/* server configuration file */
  #define	MPATH	"ircd.motd"	/* server MOTD file */
  #define	LPATH	"ircd.log" /* Where the debug file lives, if DEBUGMODE */
--- 107,114 ----
   * these are only the recommened names and paths. Change as needed.
   * You must define these to something, even if you don't really want them.
   */
! #define	DPATH	"/home/irc/irc2.8.21+CSr13/lib"	/* dir where all ircd stuff is */
! #define	SPATH	"/home/irc/irc2.8.21+CSr13/lib/ircd"
  #define	CPATH	"ircd.conf"	/* server configuration file */
  #define	MPATH	"ircd.motd"	/* server MOTD file */
  #define	LPATH	"ircd.log" /* Where the debug file lives, if DEBUGMODE */
***************
*** 122,129 ****
   * successful use of /oper.  These are either full paths or files within DPATH.
   */
  
! #define FNAME_USERLOG "/home/irc/irc2.8.21+CSr12/logs/users.log" /* */
! #define FNAME_OPERLOG "/home/irc/irc2.8.21+CSr12/logs/opers.log" /* */
  
  /* CHROOTDIR
   *
--- 122,129 ----
   * successful use of /oper.  These are either full paths or files within DPATH.
   */
  
! #define FNAME_USERLOG "/home/irc/irc2.8.21+CSr13/logs/users.log" /* */
! #define FNAME_OPERLOG "/home/irc/irc2.8.21+CSr13/logs/opers.log" /* */
  
  /* CHROOTDIR
   *
diff -c -N -r irc2.8.21+CSr12/include/hash.h irc2.8.21+CSr13/include/hash.h
*** irc2.8.21+CSr12/include/hash.h	Sat Sep 23 22:42:54 1995
--- irc2.8.21+CSr13/include/hash.h	Sat Sep 30 17:17:21 1995
***************
*** 27,37 ****
  	} aHashEntry;
  
  #ifndef	DEBUGMODE
! #define	HASHSIZE	16333   /* prime number */
! #define	CHANNELHASHSIZE	7019	/* prime number */
! #else
  extern	int	HASHSIZE;
  extern	int	CHANNELHASHSIZE;
- #endif
  
  #endif	/* __hash_include__ */
--- 27,37 ----
  	} aHashEntry;
  
  #ifndef	DEBUGMODE
! #define	DEFAULT_HASHSIZE	16333   /* prime number */
! #define	DEFAULT_CHANNELHASHSIZE	7019	/* prime number */
! #endif
! 
  extern	int	HASHSIZE;
  extern	int	CHANNELHASHSIZE;
  
  #endif	/* __hash_include__ */
diff -c -N -r irc2.8.21+CSr12/include/patchlevel.h irc2.8.21+CSr13/include/patchlevel.h
*** irc2.8.21+CSr12/include/patchlevel.h	Sat Sep 23 22:51:13 1995
--- irc2.8.21+CSr13/include/patchlevel.h	Thu Sep 28 17:24:39 1995
***************
*** 17,21 ****
   */
  
  #ifndef	PATCHLEVEL
! #define PATCHLEVEL "2.8.21+CSr12"
  #endif
--- 17,21 ----
   */
  
  #ifndef	PATCHLEVEL
! #define PATCHLEVEL "2.8.21+CSr13"
  #endif
diff -c -N -r irc2.8.21+CSr12/ircd/channel.c irc2.8.21+CSr13/ircd/channel.c
*** irc2.8.21+CSr12/ircd/channel.c	Sat Sep 23 22:42:55 1995
--- irc2.8.21+CSr13/ircd/channel.c	Thu Sep 28 17:24:59 1995
***************
*** 1858,1870 ****
  	aChannel *chptr;
  	char	*name, *p = NULL;
  
  	if (lifesux && !IsAnOper(sptr))
  	{
  		sendto_one(sptr, rpl_str(RPL_LOAD2HI), me.name,
  			parv[0]);
  		return 0;
  	}
! 
  	sendto_one(sptr, rpl_str(RPL_LISTSTART), me.name, parv[0]);
  
  	if (parc < 2 || BadPtr(parv[1]))
--- 1858,1871 ----
  	aChannel *chptr;
  	char	*name, *p = NULL;
  
+ #ifdef DOG3
  	if (lifesux && !IsAnOper(sptr))
  	{
  		sendto_one(sptr, rpl_str(RPL_LOAD2HI), me.name,
  			parv[0]);
  		return 0;
  	}
! #endif
  	sendto_one(sptr, rpl_str(RPL_LISTSTART), me.name, parv[0]);
  
  	if (parc < 2 || BadPtr(parv[1]))
diff -c -N -r irc2.8.21+CSr12/ircd/hash.c irc2.8.21+CSr13/ircd/hash.c
*** irc2.8.21+CSr12/ircd/hash.c	Sat Sep 23 22:42:55 1995
--- irc2.8.21+CSr13/ircd/hash.c	Sat Sep 30 17:19:41 1995
***************
*** 45,55 ****
  int	CHANNELHASHSIZE = 607;
  #else
  #ifdef DOUGH_HASH
  static  aHashEntry      clientTable[MAX_NEW];
  #else
! static	aHashEntry	clientTable[HASHSIZE];
  #endif
! static	aHashEntry	channelTable[CHANNELHASHSIZE];
  #endif
  
  static	int	hash_mult[] = { 173, 179, 181, 191, 193, 197,
--- 45,59 ----
  int	CHANNELHASHSIZE = 607;
  #else
  #ifdef DOUGH_HASH
+ int	HASHSIZE = MAX_NEW;
+ int	CHANNELHASHSIZE = DEFAULT_CHANNELHASHSIZE;
  static  aHashEntry      clientTable[MAX_NEW];
  #else
! int	HASHSIZE = DEFAULT_HASHSIZE;
! int	CHANNELHASHSIZE = DEFAULT_CHANNELHASHSIZE;
! static	aHashEntry	clientTable[DEFAULT_HASHSIZE];
  #endif
! static	aHashEntry	channelTable[DEFAULT_CHANNELHASHSIZE];
  #endif
  
  static	int	hash_mult[] = { 173, 179, 181, 191, 193, 197,
***************
*** 172,178 ****
  		clientTable = (aHashEntry *)MyMalloc(HASHSIZE *
  						     sizeof(aHashEntry));
  #endif
- 
  	bzero((char *)clientTable, sizeof(aHashEntry) * HASHSIZE);
  }
  
--- 176,181 ----
diff -c -N -r irc2.8.21+CSr12/ircd/s_bsd.c irc2.8.21+CSr13/ircd/s_bsd.c
*** irc2.8.21+CSr12/ircd/s_bsd.c	Sat Sep 23 22:42:55 1995
--- irc2.8.21+CSr13/ircd/s_bsd.c	Thu Sep 28 18:06:51 1995
***************
*** 1050,1055 ****
--- 1050,1056 ----
  			local[i] = local[j];
  			local[i]->fd = i;
  			local[j] = NULL;
+ #ifdef DOG3
  			/* update server list */
  			if (IsServer(local[i]))
  			{
***************
*** 1058,1063 ****
--- 1059,1065 ----
  				addto_fdlist(i,&busycli_fdlist);
  				addto_fdlist(i,&serv_fdlist);
  			}
+ #endif
  			(void)close(j);
  			while (!local[highest_fd])
  				highest_fd--;
***************
*** 1531,1539 ****
  				continue;
  			if (IsMe(cptr) && IsListening(cptr))
  			    {
! #ifdef DOG3
  		/* next line was 2, changing to 1 */
! 		/*if we dont have many clients just let em on */
  			if ((highest_fd < MAXCONNECTIONS /2 ) ||
  				(now > cptr->lasttime + 1))
  #else 
--- 1533,1544 ----
  				continue;
  			if (IsMe(cptr) && IsListening(cptr))
  			    {
! #ifdef CONNECTFAST
  		/* next line was 2, changing to 1 */
! 		/* if we dont have many clients just let em on */
!                 /* This is VERY bad if someone tries to send a lot
!                    of clones to the server though, as mbuf's can't
!                    be allocated quickly enough... - Comstud */
  			if ((highest_fd < MAXCONNECTIONS /2 ) ||
  				(now > cptr->lasttime + 1))
  #else 
diff -c -N -r irc2.8.21+CSr12/ircd/s_err.c irc2.8.21+CSr13/ircd/s_err.c
*** irc2.8.21+CSr12/ircd/s_err.c	Sat Sep 23 22:42:55 1995
--- irc2.8.21+CSr13/ircd/s_err.c	Thu Sep 28 18:19:21 1995
***************
*** 284,290 ****
--- 284,294 ----
  		0, (char *)NULL,
  /* 261 */	RPL_TRACELOG, "File %s %d",
  		0, (char *)NULL,
+ #ifdef DOG3
  /* 263 */	RPL_LOAD2HI, ":Server load too high, try again in a while"
+ #else
+ 		0, (char *)NULL
+ #endif
  };
  
  char	*err_str(numeric)
diff -c -N -r irc2.8.21+CSr12/ircd/s_serv.c irc2.8.21+CSr13/ircd/s_serv.c
*** irc2.8.21+CSr12/ircd/s_serv.c	Sat Sep 23 22:42:55 1995
--- irc2.8.21+CSr13/ircd/s_serv.c	Thu Sep 28 18:26:08 1995
***************
*** 2103,2109 ****
--- 2103,2113 ----
  					sendto_one(sptr,rpl_str(RPL_TRACEUSER),
  						   me.name, parv[0],
  						   class, name,
+ #ifdef DOG3
  						acptr->priority,
+ #else
+ 						0,
+ #endif
  						now-acptr->lasttime);
  				cnt++;
  			    }
